<?php


class TuningRootType implements INodeType
{

    public function getName()
    {
        return 'Раздел “Тюнинг”';
    }

    public function isRootNode()
    {
        return true;
    }

    public function getNestedTypes()
    {
        return array(
        );
    }


    public function getActions()
    {
        return array(
            'editTuningRoot',
            'tuningBrand',
            'tuningModel',
            'tuningSet',
            'tuningService',
        );
    }

    public function actionLabels(){
        return array(
            'editTuningRoot'=>'Данные страницы',
            'tuningBrand'=>'Марки авто',
            'tuningModel'=>'Модели авто',
            'tuningSet'=>'Комплекты тюнинга',
            'tuningService'=>'Услуги',
        );
    }

    public function createAction($name, $controller, $id = null)
    {
        if($id===null)$id = $name;
        require __DIR__ . '/actions/' . ucfirst($name) . 'Action.php';
        $actionClass = ucfirst($name) . 'Action';
        return new $actionClass($controller, $id);
    }

    /**
     * @return string
     */
    public function getDefaultAction()
    {
        return 'editTuningRoot';
    }


    public function deleteData($id)
    {
        $model = TuningRoot::model()->findByPk($id);
        if($model != null) $model->delete();
    }
}
